Bug Hunting Session
Bug 100160 - Changing OpenCL state doesn't update sheet ...
Summary: Changing OpenCL state doesn't update sheet ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Marco Cecchetti
URL:
Whiteboard: target:5.3.0 target:5.1.4
Keywords:
Depends on:
Blocks: OpenCL
  Show dependency treegraph
 
Reported: 2016-05-31 09:31 UTC by Michael Meeks
Modified: 2019-05-15 09:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2016-05-31 09:31:50 UTC
When the OpenCL state is changed from on to off or VV. a chunk of state is cached in the formula groups - so that the setting doesn't take effect.

We should walk over all of those and enforce the state correctly.
Comment 1 Michael Meeks 2016-05-31 09:34:33 UTC
Marco is working on this =)
Comment 2 Marco Cecchetti 2016-05-31 15:01:51 UTC
A tentative fix is under review: https://gerrit.libreoffice.org/#/c/25727/
Comment 3 Commit Notification 2016-05-31 15:01:56 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b75670009ca885869aa6b58ac33766808e23653c

tdf#100160 - Changing OpenCL state doesn't update sheet

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Meeks 2016-05-31 16:04:30 UTC
Nice fix; would be lovely to see a unit test too of course =)

Thanks !
Comment 5 Commit Notification 2016-05-31 20:50:18 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2534e5f046654c69173b84d040013b7e1c6c3f1e&h=libreoffice-5-1

tdf#100160 - Changing OpenCL state doesn't update sheet

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Aron Budea 2016-06-11 04:22:39 UTC
I don't see the commit for 5.2, is that intended?